org.apache.ignite.internal.processors.igfs

## Class IgfsSecondaryFileSystemCreateContext

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsSecondaryFileSystemCreateContext

    public class IgfsSecondaryFileSystemCreateContext
    extends Object

Context for secondary file system create request. Note that it is never used for dual mode append operation.

### Constructor Summary

Constructors
Constructor and Description
`IgfsSecondaryFileSystemCreateContext(IgfsSecondaryFileSystem fs, IgfsPath path, boolean overwrite, boolean simpleCreate, Map<String,String> props, short replication, long blockSize, int bufSize)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`OutputStream` `create()` Create file in the secondary file system.
`IgfsSecondaryFileSystem` `fileSystem()`
`IgfsFile` `info()` Get file info.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsSecondaryFileSystemCreateContext

    public IgfsSecondaryFileSystemCreateContext(IgfsSecondaryFileSystem fs,
                                                IgfsPath path,
                                                boolean overwrite,
                                                boolean simpleCreate,
                                                @Nullable
                                                Map<String,String> props,
                                                short replication,
                                                long blockSize,
                                                int bufSize)

Constructor.

Parameters:
  `fs` - File system.
  `path` - Path.
  `overwrite` - Overwrite flag.
  `simpleCreate` - Simple create flag.
  `props` - Properties.
  `replication` - Replication.
  `blockSize` - Block size.
  `bufSize` - Buffer size.

### Method Detail

#### create

    public OutputStream create()

Create file in the secondary file system.

Returns:
  Output stream.

#### info

    public IgfsFile info()

Get file info.

Returns:
  File.

#### fileSystem

    public IgfsSecondaryFileSystem fileSystem()

Returns:
  Secondary file system.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018